<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_additions', function (Blueprint $table) {
            $table->id();

            $table->foreignId('employee_id')
                ->constrained()
                ->cascadeOnDelete();

            $table->foreignId('addition_id')
                ->constrained('additions')
                ->cascadeOnDelete();

            $table->enum('calculation_type', ['fixed', 'formula', 'both']);

            $table->decimal('amount', 12, 2)->default(0);

            $table->boolean('status')->default(1);

            $table->timestamps();

            $table->unique(['employee_id', 'addition_id']);
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_additions');
    }
};
